Last modified: 2013-04-22 16:15:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43801 - ICUCollation needs to know the version of ICU library
ICUCollation needs to know the version of ICU library
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Categories (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Bartosz Dziewoński
: i18n
Depends on:
Blocks: 43740 43804
  Show dependency treegraph
 
Reported: 2013-01-09 23:15 UTC by Bartosz Dziewoński
Modified: 2013-04-22 16:15 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-01-09 23:15:38 UTC
+++ This bug was initially created as a clone of Bug #43740 +++

The interface to ICU provided by PHP's intl does not expose the version anywhere, and it's necessary for to solve the blocked bugs. intl's version can be retrieved using phpversion("intl").

This will probably have to be done by grepping for ICU version in phpinfo()'s output...
Comment 1 Bartosz Dziewoński 2013-01-11 14:36:50 UTC
So I discovered that there are two actually constants for this, INTL_ICU_VERSION and INTL_ICU_DATA_VERSION. They don't seem to be documented *anywhere at all*, though. (They both have the same value for me.)
Comment 2 Bartosz Dziewoński 2013-01-18 22:50:51 UTC
Patch submitted: Iee4b8380.
Comment 3 Bartosz Dziewoński 2013-02-06 19:51:58 UTC
Merged -> marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links